'use strict';

const loggerPartial = require("@joepie91/gulp-partial-logger");
const livereloadPartial = require("@joepie91/gulp-partial-livereload");

const cache = require("gulp-cached");
const sass = require("gulp-sass");

module.exports = function(options = {}) {
	let cacheKey = (options.cacheKey != null) ? options.cacheKey : "preset";

	let streamList = [];

	if (cacheKey !== false) {
		streamList.push(cache(cacheKey));
	}

	streamList.push(sass());

	if (options.livereload != null) {
		streamList.push(livereloadPartial(options.livereload));
	}

	return loggerPartial("scss", streamList, {
		logger: {
			basePath: options.basePath
		}
	});
}
